summaryrefslogtreecommitdiff
path: root/user/vlc/vlc.initd
diff options
context:
space:
mode:
authorA. Wilcox <AWilcox@Wilcox-Tech.com>2018-06-08 02:11:51 -0500
committerA. Wilcox <AWilcox@Wilcox-Tech.com>2018-06-08 02:11:51 -0500
commitc86aec496298fb20f0770f5ce9a2a37935f7aa5b (patch)
treeb95d17ae82ab73a2a147a2f0c9734c309e5f9807 /user/vlc/vlc.initd
parentfd2bb2f751c13b3c0c002b8e012810902b9da364 (diff)
downloadpackages-c86aec496298fb20f0770f5ce9a2a37935f7aa5b.tar.gz
packages-c86aec496298fb20f0770f5ce9a2a37935f7aa5b.tar.bz2
packages-c86aec496298fb20f0770f5ce9a2a37935f7aa5b.tar.xz
packages-c86aec496298fb20f0770f5ce9a2a37935f7aa5b.zip
put user stuff in user, not system
Diffstat (limited to 'user/vlc/vlc.initd')
-rwxr-xr-xuser/vlc/vlc.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/user/vlc/vlc.initd b/user/vlc/vlc.initd
new file mode 100755
index 000000000..541a07180
--- /dev/null
+++ b/user/vlc/vlc.initd
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+
+description="VideoLAN daemon"
+pidfile="/var/run/vlc/${RC_SVCNAME}.pid"
+command="/usr/bin/vlc"
+
+depend() {
+ need net
+ after firewall
+}
+
+start_pre() {
+ checkpath --directory --owner vlc:vlc --mode 775 ${pidfile%/*}
+}
+
+start() {
+ ebegin "Starting ${RC_SVCNAME}"
+ start-stop-daemon --start \
+ --user vlc \
+ --pidfile ${pidfile} \
+ --exec ${command} \
+ -- \
+ --daemon --pidfile ${pidfile} ${VLC_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${RC_SVCNAME}"
+ start-stop-daemon --stop \
+ --pidfile ${pidfile}
+ eend $?
+}